// FILENAME:	TDM_Forces.cs
//
// AUTHORS:  	Stormtrooper, who did you think?
//------------------------------------------------------------------------------

$missionName = "TDM_Forces";

exec("multiplayerStdLib.cs");
exec("DMstdLib.cs");

function setDefaultMissionOptions()
{
	$server::TeamPlay = true;
	$server::AllowDeathmatch = false;
	$server::AllowTeamPlay = true;	

	$server::AllowTeamRed = true;
	$server::AllowTeamBlue = true;
	$server::AllowTeamYellow = false;
	$server::AllowTeamPurple = false;

	$server::DisableTeamRed = false;
	$server::DisableTeamBlue = false;
	$server::DisableTeamYellow = true;
	$server::DisableTeamPurple = true;

}

function onMissionLoad(){
   cdAudioCycle("Watching", "Mechsoul", "Gnash"); 
}

function ping1::structure::onScan(%attacked, %attacker)
{
   %person = playermanager::getplayernum(%attacker);
   %planet = getPlanet();
   %yours = getPing(%person);
   %ours = getTeamAvgPing(%person);
   messageBox(%person, "     your ping is " @ %yours @ "                                       your team's averaged ping is " @ %ours @ " ");
}

// move the map
$server::HudMapViewOffsetX = 7500;
$server::HudMapViewOffsetY = -6000;

function onMissionStart()
{
	titanSounds();
}

